Issue 31886

Summary: When opening a HTML file with no encoding declaration, OOo incurrectly defaults to western
Product: Internationalization Reporter: sforbes <xslf>
Component: codeAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues
Version: 680m47   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
exmaple file. Please use "save link" to make sure that your browser doesn't change the encoding on save.
none
The currect file this time... none

Description sforbes 2004-07-22 07:26:57 UTC
When opening a HTML file which does not specify it's encoding, OOo incurrectly
defaults to western, leading of opening files which are not western as junk,
with no way for the user to fix the display from within OOo.

As such files are common, international users will run in to this quite a bit.

Instead, OOo should either default to whatever is specified as it's locale
(under tools--options--languages) or ask the user (the way it does with CSV
files for example).

Steps to repro:
* Save the file attached to this bug (Hebrew HTML file, no encoding declaration).
* Open OOo, and from within it, open the file

Actual result:
The file contents are displayed as junk

Expected result:
OOo should either default to whatever is specified as it's locale (under
tools--options--languages) or ask the user (the way it does with CSV files for
example).
Comment 1 sforbes 2004-07-22 07:27:56 UTC
Created attachment 16671 [details]
exmaple file. Please use "save link" to make sure that your browser doesn't change the encoding on save.
Comment 2 sforbes 2004-07-22 07:28:52 UTC
Created attachment 16672 [details]
The currect file this time...
Comment 3 Martin Hollmichel 2005-03-11 13:54:14 UTC
reassign open l10n issue to new default owner.
Comment 4 falko.tesch 2005-03-21 14:51:15 UTC
Set target and new owner
Comment 5 ace_dent 2008-05-16 00:38:25 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently assigned to 'Requirements' pending review, but
has not been updated within the last 3 years. Please consider re-testing with
one of the latest versions of OOo, as the problem(s) may have already been
addressed. Either use the recent stable version:
http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html